pandoc-3.10: Conversion between markup formats

Copyright | Copyright (C) 2023 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Typst

Description

Reads and evaluates a Typst document as a Pandoc AST.

Synopsis

- readTypst :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc

# Documentation

readTypst :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc Source #

Read Typst from an input string and return a Pandoc document.